<?php

namespace LWM\PTI;

if ( ! defined( 'WPINC' ) ) {
	die;
}

class Scripts {

    public function init() {     
        add_action( 'admin_enqueue_scripts', [ $this, 'register_scripts' ] );
    }

    public function register_scripts() {
        wp_enqueue_style( 'ttpi-css', TTPI_URL .'build/index.css' , []);

        wp_register_script( 'ttpi-js', TTPI_URL . 'build/index.js', [ 'wp-blocks', 'wp-i18n', 'wp-element', 'wp-editor', 'wp-api' ], '1.0.0', true );
        wp_localize_script( 'ttpi-js', 'ttpi', [
            'nonce'		=> wp_create_nonce('ttpi-nonce'),
            'ajax'		=> admin_url( 'admin-ajax.php' ),
            'action'    => 'load',
            'canvas'		=> [
                'prefix'	=> TTPI_CANVAS_PREFIX,
                'prefix_delimiter'	=> TTPI_CANVAS_PREFIX_DELIMITER,
                'suffix'	=> TTPI_CANVAS_SUFFIX,
                'suffix_delimiter'	=> TTPI_CANVAS_SUFFIX_DELIMITER,
                'width' 	=> TTPI_CANVAS_WIDTH,
                'height'	=> TTPI_CANVAS_HEIGHT,
                'gradient'	=> [
                    'start'	=> TTPI_CANVAS_GRADIENT_START,
                    'stop'	=> TTPI_CANVAS_GRADIENT_STOP
                ],
                'font'		=> [
                    'family'	=> TTPI_CANVAS_FONT_FAMILY,
                    'size'		=> TTPI_CANVAS_FONT_SIZE,
                    'weight'	=> TTPI_CANVAS_FONT_WEIGHT,
                    'color'		=> TTPI_CANVAS_FONT_COLOR
                ],
                'wrap'		=> [
                    'x'		=> (int)TTPI_CANVAS_WRAP_X,
                    'y'		=> (int)TTPI_CANVAS_WRAP_Y,
                    // 'maxwidth'	=> (int)TTPI_CANVAS_WRAP_MAXWIDTH,
                    // 'lineheight'	=> (int)TTPI_CANVAS_WRAP_LINEHEIGHT
                ]
            ]
        ] );
        wp_enqueue_script( 'ttpi-js' );
    }

}