<?php

if ( ! defined( 'WPINC' ) ) {
	die;
}

function setCategory( $categories ) {
    $content = '';

    if( !empty( $categories ) ) {
        foreach( $categories as $category ) {
            $content .= $category->name . ', ';
        }
    }

    return trim( $content, ', ' );
}

$posts = new WP_Query([
    'post_type'         => TTPI_POST_TYPES,
    'posts_per_page'    => 1
]);

$init_posts = new WP_Query([
    'post_type'         => TTPI_POST_TYPES,
    'posts_per_page'    => 1,
    'meta_query' => array(
        array(
            'key'       => '_is_post_to_image_init',
            'compare'   => 'NOT EXISTS'
        )
    )
]);
?>

<div class="wrap lwm-admin-page-wrapper">

    <div class="content">
        <h1 class="wp-heading-inlines">Initial loading</h1>

        <p>
            Posts gesamt: <?php echo $posts->found_posts; ?><br/>
            Posts ohne generiertes Bild: <?php echo $init_posts->found_posts; ?>
        </p>

        <div class="ttpi-progress-container">
            <span id="ttpi-progress-percent"></span>
            <div id="ttpi-progress-bar">
                <div id="ttpi-progress"></div>
            </div>
        </div>

        <p><strong>Featured Images generieren</strong></p>
        <p>Posts, die bereits ein generiertes Bild haben, werden ignoriert. Es werden auch Bilder für Posts generiert, die "Draft" sind.</p>
        <button id="ttpiInitialStart">Generieren</button>

        <p><hr/></p>

        <p><strong>Alles zurücksetzen</strong></p>
        <p>Hierbei werden alle Posts zurückgesetzt und generierte Bilder gelöscht.</p>
        <button id="ttpiReset">Zurücksetzen</button>
    </div>

    <div class="sidebar">	
    	<?php Lightweb_Media\Lightweb_Media_Plugin_Sidebar\LWM_Plugin_Sidebar::get_instance()->output(); ?>
	</div>

</div>