import './scss/main.scss';

const set = ( progress ) => {
    const percent = document.getElementById('ttpi-progress-percent');
    percent.innerHTML = ``;

    fetch( `${ ttpi.ajax }?action=${ ttpi.action }&_ajax_nonce=${ ttpi.nonce }&type=set` , {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json',
        },
    })
    .then((response) => response.json())
    .then((data) => {
        if( data.return?.progress ) {
            progress.style.width = `${ data.return.progress }%`;
            set( progress );
            percent.innerHTML = `${ Math.round((data.return.progress + Number.EPSILON) * 10) / 10 }%`;
        } else {
            progress.style.width = `100%`;
            percent.innerHTML = `done`;
        }
    })
    .catch((error) => {
        console.error('Error:', error);
    });
}

const reset = ( progress ) => {
    const percent = document.getElementById('ttpi-progress-percent');
    percent.innerHTML = ``;

    fetch( `${ ttpi.ajax }?action=${ ttpi.action }&_ajax_nonce=${ ttpi.nonce }&type=reset` , {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json',
        },
    })
    .then((response) => response.json())
    .then((data) => {
        if( data.return?.progress ) {
            reset( progress );
            progress.style.width = `${ data.return.progress }%`;
            percent.innerHTML = `${ Math.round((data.return.progress + Number.EPSILON) * 10) / 10 }%`;
        } else {
            progress.style.width = `100%`;
            percent.innerHTML = `done`;
        }
    })
    .catch((error) => {
        console.error('Error:', error);
    });
    // clearInterval( interval )
}

document.addEventListener( "DOMContentLoaded", () => {

    const startBtn = document.getElementById('ttpiInitialStart');
    const resetBtn = document.getElementById('ttpiReset');
    const progress = document.getElementById('ttpi-progress');

    if( resetBtn && progress ) {
        resetBtn.addEventListener( 'click', ( e ) => {
            e.preventDefault()
            progress.style.width = `0%`

            reset( progress )
        } )
    }

    if( startBtn && progress ) {
        startBtn.addEventListener( 'click', ( e ) => {
            e.preventDefault()
            progress.style.width = `0%`

            set( progress )
        } )
    }

})